Package org.pushingpixels.lafwidget.tree.dnd

# Class StringTreeDnDEvent

java.lang.Object
java.util.EventObject
org.pushingpixels.lafwidget.tree.dnd.StringTreeDnDEvent

All Implemented Interfaces:
  `Serializable`

public class StringTreeDnDEvent extends EventObject
StringTreeDnDEvent is an event fired whenever a String is about to be dropped into a node in a JTree.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`StringTreeDnDEvent(String aSourceString, JTree aTargetTree, TreeNode aTargetNode)`
Creates a new instance of StringTreeDnDEvent

## Method Summary

Modifier and Type
Method
Description
`String`
`getSourceString()`
`TreeNode`
`getTargetNode()`
`JTree`
`getTargetTree()`
`void`
`setSourceString(String sourceString)`
`void`
`setTargetNode(TreeNode targetNode)`
`void`
`setTargetTree(JTree targetTree)`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringTreeDnDEvent

public StringTreeDnDEvent(String aSourceString, JTree aTargetTree, TreeNode aTargetNode)
Creates a new instance of StringTreeDnDEvent

Parameters:
  `aSourceString` - the String being dragged.
  `aTargetTree` - the JTree containing the node.
  `aTargetNode` - the node onto which the String is about to be dropped into.

## Method Details

### getTargetTree

public JTree getTargetTree()

### setTargetTree

public void setTargetTree(JTree targetTree)

### getTargetNode

public TreeNode getTargetNode()

### setTargetNode

public void setTargetNode(TreeNode targetNode)

### getSourceString

public String getSourceString()

### setSourceString

public void setSourceString(String sourceString)